Get Dividend Distribution Info
curl --request GET \
--url https://api.sandbox.brickken.com/get-dividend-distribution \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.brickken.com/get-dividend-distribution"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.brickken.com/get-dividend-distribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokenSymbol": "<string>",
"companyName": "<string>",
"tokenizerEmail": "<string>",
"distributions": [
{
"uuid": "<string>",
"tokenizerEmail": "<string>",
"amountInPaymentToken": "<string>",
"paymentTokenSymbol": "<string>",
"paymentTokenAddress": "<string>",
"txHash": "<string>",
"status": "<string>",
"date": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Read Endpoints
Get Dividend Distribution Info
Description: Retrieves information about dividend distributions for a token.
Headers:
x-api-key:YOUR_API_KEY
Query Parameters:
tokenSymbol(string): The symbol of the token.
GET
/
get-dividend-distribution
Get Dividend Distribution Info
Lists the dividend distributions executed for a token, newest first.
Amounts are denominated in the payment token, not in the security token. To prepare a new distribution, see
Query Parameters
tokenSymbol(required): Token symbol
Example
curl --request GET \
--url 'https://api.sandbox.brickken.com/get-dividend-distribution?tokenSymbol=EXMPL' \
--header 'x-api-key: YOUR_API_KEY'
Response
{
"tokenSymbol": "EXMPL",
"companyName": "Example Corp",
"tokenizerEmail": "tokenizer@example.com",
"distributions": [
{
"uuid": "b8341970-b99d-4c75-929c-854ab746723e",
"tokenizerEmail": "tokenizer@example.com",
"amountInPaymentToken": "1000.0",
"paymentTokenSymbol": "USDC",
"paymentTokenAddress": "0x2222222222222222222222222222222222222222",
"txHash": "0xae08674018f81ce617aa8b6c4d582a681b278542cf30921536b91b2162fe19fb",
"status": "success",
"date": "2026-08-10T12:00:00.000Z"
}
],
"total": 1
}
dividendDistribution and the
approve allowance it requires.Authorizations
Query Parameters
The symbol of the token.
Response
200 - application/json
Successful response